
QGIS Application - Bug report #10785

OpenStreetMap Export topology to Spatialite - export to polygons not working

2014-07-02 06:18 PM - baditaflorin -

Status: Closed

Priority: High

Assignee:

Category:

Affected QGIS version:2.4.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 19166

Description

I have imported a 400 mb osm file that i have get from JOSM Overpass API, and i try to export the polygons, but it does not get exported,

i end up only with one result.

i tried with the points and the points get exported ok

History

#1 - 2014-07-03 01:51 AM - Giovanni Manghi

- Status changed from Open to Feedback

if you are using 2.2 like in the other osm related ticket, please test 2.4 and see if it is confirmed.

#2 - 2014-07-03 02:16 AM - baditaflorin -

- File thesame.jpg added

i get the same result,only one polygon

If you want the same file that i am using, you can overpass and get the file in about one hour

[timeout:86400];

(node(34.759984,-12.216797,71.587596,36.298828)[shop];

way(34.759984,-12.216797,71.587596,36.298828)[shop];);

out meta;

#3 - 2014-07-03 02:21 AM - Giovanni Manghi

baditaflorin - wrote:

i get the same result,only one polygon

If you want the same file that i am using, you can overpass and get the file in about one hour

maybe you can drop(box) it somewhere?
#4 - 2014-07-03 07:22 AM - baditaflorin -

https://www.dropbox.com/s/b7sb0zvg1oqbo83/1%20ora%20shop%20overpass.zip

#5 - 2014-07-03 07:55 AM - Giovanni Manghi

- Operating System deleted (Windows)

- OS version deleted (7)

confirmed on Linux too.

#6 - 2014-07-04 05:17 AM - baditaflorin -

- Status changed from Feedback to Closed

it was because of the query to overpass api, now is working https://github.com/drolbr/Overpass-API/issues/119#issuecomment-48021848

Files

exportbox.jpg 37.2 KB 2014-07-02 baditaflorin -

only2result.jpg 113 KB 2014-07-02 baditaflorin -

points.jpg 198 KB 2014-07-02 baditaflorin -

thesame.jpg 125 KB 2014-07-03 baditaflorin -
